// SettingsManager.h
// `````````````````

#pragma once
#include "stdafx.h"

// Class interface

class SettingsManager {
private:
	ini_t data;
	
	static SettingsManager* inst;
	SettingsManager();
	~SettingsManager();

public:
	static SettingsManager* getInst();

	static std::string get(std::string key, const char* default_str);
	static void set(std::string key, const char* val);

	static int  get(std::string key, int default_int);
	static void set(std::string key, int val);

	static void commit();
};

// Lilly settings

#define SM_WINDOWXPOS       "WindowXPos"
#define SM_WINDOWYPOS       "WindowYPos"
#define SM_WINDOWWIDTH		"WindowWidth"
#define SM_WINDOWHEIGHT		"WindowHeight"

